<?xml version="1.0" encoding="UTF-8"?>
<!--
    Copyright 2021 The PixelROM Project

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
-->
<manifest>
<!--
    This manifest contains projects that are required
    to build AOSP with vendor for 
    sweet device.
-->
    <remote name="hentai"
          fetch="https://github.com/hentaiOS"
          revision="refs/heads/Rika" />

    <!-- pull in the standard PixelROM projects. -->
    <include name="pixelrom.xml" />

    <project path="hardware/qcom-caf/common" name="platform_hardware_qcom-caf_common" groups="qcom,pdk-qcom" remote="hentai" >
        <!-- add guard for AOSP hardware/qcom dir -->
        <linkfile src="os_pickup_aosp.mk" dest="hardware/qcom/Android.mk" />
        <!-- add guards for CAF repositories -->
        <linkfile src="os_pickup.bp" dest="hardware/qcom-caf/sm8150/Android.bp" />
        <linkfile src="os_pickup.mk" dest="hardware/qcom-caf/sm8150/Android.mk" />
    </project>

    <project path="device/xiaomi/sweet" name="device/xiaomi/sweet" groups="device,sweet,generic_fs" remote="pixelrom" />
    <project path="device/xiaomi/sweet-kernel" name="device/xiaomi/sweet-kernel" groups="device,sweet,generic_fs" remote="pixelrom" />
    <project path="hardware/qcom-caf/bt" name="platform_hardware_qcom-caf_bt" groups="pdk" remote="hentai" />
    <project path="hardware/qcom-caf/sm8150/display" name="platform/hardware/qcom-caf/sm8150/display" remote="pixelrom" />
    <project path="hardware/qcom-caf/sm8150/audio" name="platform/hardware/qcom-caf/sm8150/audio" remote="pixelrom" />
    <project path="hardware/qcom-caf/sm8150/media" name="platform/hardware/qcom-caf/sm8150/media" remote="pixelrom" />
    <project path="vendor/codeaurora/telephony" name="platform_vendor_codeaurora_telephony" groups="vendor" remote="hentai" />
    <project path="vendor/qcom/opensource/commonsys-intf/display" name="platform/vendor/qcom/opensource/commonsys-intf/display" remote="pixelrom" />
    <project path="vendor/qcom/opensource/data-ipa-cfg-mgr" name="platform_vendor_qcom_opensource_data-ipa-cfg-mgr" groups="vendor" remote="hentai" />
    <project path="vendor/qcom/opensource/dataservices" name="platform_vendor_qcom_opensource_dataservices" groups="vendor" remote="hentai" />
    <project path="vendor/qcom/opensource/power" name="platform_vendor_qcom_opensource_power" groups="vendor" remote="hentai" />
    <project path="vendor/qcom/opensource/vibrator" name="platform/vendor/qcom/opensource/vibrator" groups="vendor" remote="pixelrom" />
    <project path="vendor/xiaomi/sweet" name="vendor/xiaomi/sweet" groups="vendor,dipper,pdk" remote="pixelrom" />
</manifest>
